6 Replies Latest reply on Feb 15, 2013 11:46 AM by Marek Novotny

    Seam 2.3.X with Icefaces 3 and IceMobile

    Jonathan Clarke Newbie

      Hi,

       

      Can you tell me when you are going to support the new Icefaces libraries, as part of a seam-gen process, please? I would like to deploy mobile applications using that library, but there doesn't seem to be support for anymore, whereas there used to be support for Icefaces 1.8.2

       

      Jonathan.

        • 1. Re: Seam 2.3.X with Icefaces 3 and IceMobile
          Marek Novotny Master

          it is not like we pulled it without a reason. Icefaces 1.x doesn't support JSF2. Seam still has got icefaces example, but there is a regression with new 3.x releases of Icefaces. They doesn't support the seam anymore. Look at https://issues.jboss.org/browse/JBSEAM-5022 and the related icefaces issue http://jira.icesoft.org/browse/ICE-8499, which is a regression to already resolved issue http://jira.icesoft.org/browse/ICE-1330.

           

           

          Icefaces example and support for seam-gen was developed in a cooperation with Icefaces developers and it seems that they are not interested any more in such integration with Seam.

          • 2. Re: Seam 2.3.X with Icefaces 3 and IceMobile
            Jonathan Clarke Newbie

            Hi Marek,

             

            I have spoken directly to Icesoft, and they did some tests for me, to show that some of their Icefaces Mobile components will work under Seam 2.3.0, but full support wouldn't be given until there was an obvious demand for it. They still fully support Spring, however. Having a PhD in Computer Science, I build complex Artificial Intellgience systems for clients, using your components, but, over the last year, I have had to resort to JBoss 5.1.0 and Seam 2.2.2, because of the increased disparity between the newer versions of components that once all sat together very well. I have built  5 complex systems over that period, and all of the clients would have happily paid for corporate support, had the latest versions worked together, so that's a lot of support costs that Redhat is not receiving. The latest client needs JBoss AS7, Seam 2.3, and a mobile framework with pushing, and they would be happy, again, to pay for support, if things tied up well together. As a consultant, I can't afford to spend all of my time working through the inconsistencies that are introduced in each version these components, or slowing crawling through upgrade documents, because a framework should be something I work within, not "working out" each time there's an upgrade. Even the JBoss AS7 versions have had different behaviour between minor versions. All APIs should be backwardly compatible, or the fundamentals laid down before work on a new version is undertaken. The upshot is that Redhat have lost a lot of corporate support fees, just from my throughput, and I am considering recommending Spring to future clients, unless I can get a new stable framework to work within, and one that's got life in it, because hopfully Icesoft's departure is not a sign of Seam's demise. The problems I've had over the last year have all been to do with core compatibilities, too. I simply need Seam 2.3.0, JBoss AS7.1.1., Hibernate, Quartz and a pushing tag library, such as Icefaces or Richfaces, all working together, but with the ability to integrate some jQuery\Mobile where necessary. That constitutes a healthy production strength development library, in any developer's mind, I'm sure.

             

            Jonathan.

            • 3. Re: Seam 2.3.X with Icefaces 3 and IceMobile
              Jonathan Clarke Newbie

              Ok, so I've tried Richfaces, and the first thing I did failed. I have a blank system, and I have one XHTML with some jQuery in, importing the latest version of jQuery. I get a "jQuery.atmosphere is undefined" error in Firebug, because apparently Richfaces uses an earlier version of jQuery, so there's a conflict, even though I'm using jQuery.noConflict(). So, I cannot find the functionality or documentation that will now allow me to import the very latest version of Richfaces (and hopefully the latest jQuery too) during a seam-gen create-project. Where exactly is it? Can you direct me to the upgrade path, please? It used to be in the seam-gen process, where you could select to download the latest version of the library. Where has that gone?

              • 4. Re: Seam 2.3.X with Icefaces 3 and IceMobile
                Jonathan Clarke Newbie

                Also, why exaclty is ice-extras.js and icefaces-d2d.js still included in the Seam project, even though I selected a Richfaces-only build in seam-gen?

                • 5. Re: Seam 2.3.X with Icefaces 3 and IceMobile
                  Marek Novotny Master

                  Those are probably your trash in seam-distribution/lib, seam-gen pick whatever is in seam-distribution/lib while creates a new project. Icefaces are not distributed in the distribution.

                  Jonathan Clarke wrote:

                   

                  Also, why exaclty is ice-extras.js and icefaces-d2d.js still included in the Seam project, even though I selected a Richfaces-only build in seam-gen?

                  • 6. Re: Seam 2.3.X with Icefaces 3 and IceMobile
                    Marek Novotny Master

                    You can do that manually and replace richfaces-*.jar in seam_distribution/lib folder.

                     

                    Jonathan Clarke wrote:

                     

                    Ok, so I've tried Richfaces, and the first thing I did failed. I have a blank system, and I have one XHTML with some jQuery in, importing the latest version of jQuery. I get a "jQuery.atmosphere is undefined" error in Firebug, because apparently Richfaces uses an earlier version of jQuery, so there's a conflict, even though I'm using jQuery.noConflict(). So, I cannot find the functionality or documentation that will now allow me to import the very latest version of Richfaces (and hopefully the latest jQuery too) during a seam-gen create-project. Where exactly is it? Can you direct me to the upgrade path, please? It used to be in the seam-gen process, where you could select to download the latest version of the library. Where has that gone?